Ipswitch IMail Server/Collaboration Suite IMAP FETCH Command Overflow

Medium Nessus Plugin ID 21051


The remote IMAP server is affected by a buffer overflow vulnerability.


The remote host is running Ipswitch Collaboration Suite / IMail Secure Server / IMail Server, commercial messaging and collaboration suites for Windows.

According to its banner, the version of Ipswitch Collaboration Suite / IMail Secure Server / IMail Server installed on the remote host has a buffer overflow issue in its IMAP server component. Using a specially crafted FETCH command with excessive data, an authenticated attacker can crash the IMAP server on the affected host, thereby denying service to legitimate users, and possibly execute arbitrary code as LOCAL SYSTEM.


Upgrade to version 2006.03 of the appropriate application.

See Also






Plugin Details

Severity: Medium

ID: 21051

File Name: ipswitch_imail_imapd_fetch_overflow.nasl

Version: $Revision: 1.18 $

Type: remote

Agent: windows

Family: Windows

Published: 2006/03/13

Modified: 2011/09/30

Dependencies: 10125, 17975

Risk Information

Risk Factor: Medium


Base Score: 6.5

Temporal Score: 4.8

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:ipswitch:imail

Excluded KB Items: imap/false_imap, imap/overflow

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2006/03/09

Vulnerability Publication Date: 2006/03/09

Reference Information

CVE: CVE-2005-3526

BID: 17063

OSVDB: 23796